main
{
	pointer weatherStart
	{
		go_start;
		skip_to_text("<table border=0 width=100% bgcolor=\"#FFFFFF\" cellpadding=0 cellspacing=0>", true);
		skip_to_text("10 Day Forecast",true);

	};

	pointer weatherEnd
	{
		skip_to_text("</table>", true);

	};

	map skyMap
	{
		key_value("65", "2");
		key_value("66", "3");
		key_value("67", "5");
		key_value("68", "6");
		key_value("69", "4");
		key_value("70", "6");
		key_value("71", "1");
		key_value("72", "6");
		key_value("73", "16");
		key_value("74", "10");
		key_value("75", "7");
		key_value("76", "8");
		key_value("77", "10");
		key_value("78", "6");
		key_value("79", "12");
		key_value("80", "11");
		key_value("81", "11");
		key_value("82", "8");
		key_value("83", "11");
		key_value("84", "13");
		key_value("85", "2");
		key_value("87", "7");
		key_value("88", "9");
		key_value("89", "12");
		key_value("90", "12");
		key_value("91", "15");
		key_value("92", "15");
		key_value("93", "14");
		key_value("94", "14");
		key_value("95", "14");
		key_value("96", "14");
		key_value("97", "16");
		key_value("98", "17");
		key_value("99", "18");
		key_value("100", "27");
		key_value("101", "26");
		key_value("102", "17");
		key_value("103", "16");
		key_value("104", "20");
		key_value("105", "23");
		key_value("106", "18");
		key_value("107", "8");
		key_value("108", "25");
		key_value("109", "22");
		key_value("110", "21");
		key_value("111", "20");
		key_value("112", "22");
		key_value("113", "24");
		key_value("114", "23");
		key_value("115", "26");
		key_value("116", "19");
	};

	open_url("http://www.intellicast.com/IcastPage/LoadPage.aspx?loc=" + CityCode + "&seg=LocalWeather&prodgrp=Forecast&product=Forecast&prodnav=none", "GET");
	
	string sky = ".";
	string foundToday = ""; // false
	string dayOfWeek = "";

	select_area(weatherStart, weatherEnd);

	while (sky)
	{
	// obtain day of week
		skip_to_text("<b>", true);
		begin_var;
		skip_to_chars("<");
		dayOfWeek = end_var;

		if (!foundToday)
		{
			if (is_today(dayOfWeek))
			{
				foundToday = "."; // true
			}
		}

	// sky
		skip_to_text("/images/icons/", true);
		begin_var;
		skip_chars("0-9");
		sky = end_var;

		if (sky)
		{
			sky = skyMap[sky];

			if (!sky)
				sky = "0";
		}

	// temperature high
		skip_to_text("<div", true);
		skip_to_text("<font ", true);
		skip_to_text(">", true);
		begin_var;
		skip_to_tags;
		string tmprHi = end_var;

	// temperature units
		skip_tags;
		skip_to_chars("A-Za-z");
		begin_var;
		skip_chars("A-Za-z");
		string tmprUnits = end_var;

	// temperature low
		skip_to_text("<font ", true);
		skip_to_text(">", true);
		begin_var;
		skip_to_tags;
		string tmprLo = end_var;

	 	skip_to_text("</tr>", true);
	 	skip_to_text("</tr>", true);
	 	if(tmprHi=="NA")tmprHi=tmprLo; 	
	


	// add day
		if (foundToday)
		{
			if (sky)
				add_day;
		}
	}
}
